Create budget
curl --request POST \
--url https://app.msportal.ai/api/public/v1/budgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiscalYear": 2000,
"currency": "<string>",
"notes": "<string>"
}
'import requests
url = "https://app.msportal.ai/api/public/v1/budgets"
payload = {
"title": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiscalYear": 2000,
"currency": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fiscalYear: 2000,
currency: '<string>',
notes: '<string>'
})
};
fetch('https://app.msportal.ai/api/public/v1/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"fiscalYear": 123,
"currency": "<string>",
"notes": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"totals": {
"softwareTotal": 123,
"hardwareTotal": 123,
"labourTotal": 123,
"subscriptionTotal": 123,
"otherTotal": 123,
"grandTotal": 123
},
"lineItemCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lineItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": 1,
"unitPrice": 1,
"termMonths": 2,
"annualisedCost": 123,
"currency": "<string>",
"notes": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
},
"linkedItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Budgets
Create budget
Create a new budget for a company.
POST
/
api
/
public
/
v1
/
budgets
Create budget
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Body
application/json
Budget title (required)
Required string length:
1 - 255Company ID (required)
Fiscal year (required)
Required range:
1900 <= x <= 2100Period type (default: Annual)
Available options:
Annual, Quarterly, Monthly Status (default: Draft)
Available options:
Draft, PendingApproval, Approved, Obsolete Currency code (default: USD)
Required string length:
3Budget notes
Maximum string length:
10000Response
Budget created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I